@ECHO OFF

COLOR 07
PUSHD %~dp0

:REFLASH
SET BOARD_NUMBER=
SET PACKRAT_NUMBER=

SynReflash_PR2032015.exe /S 3 /Q>Temp.txt
FOR /F "usebackq tokens=4,7,10,11* delims=:/ " %%A IN (Temp.txt) DO (
	REM @ECHO %%A, %%B, %%C
	SET BOARD_NUMBER=%%A
	SET PACKRAT_NUMBER=%%B
)

@ECHO BOARD_NUMBER=%BOARD_NUMBER%

@ECHO PACKRAT_NUMBER=%PACKRAT_NUMBER%

timeout 5

REM GOTO :EOF

IF "%PACKRAT_NUMBER%" EQU "1626681" (
	REM PUSHD %~dp0\1626681
	SynReflash_PR2032015.exe /S 2 /B ACL /L /W 2
  IF %ERRORLEVEL% NEQ 0 GOTO :ERROR %ERRORLEVEL%
  GOTO :SUCCESS
)

IF "%PACKRAT_NUMBER%" EQU "1910487" (
	REM PUSHD %~dp0\1910487
	SynReflash_PR2080250.exe /S 2 /B ACL /W 2
  IF %ERRORLEVEL% NEQ 0 GOTO :ERROR %ERRORLEVEL%
  GOTO :SUCCESS
)

IF "%PACKRAT_NUMBER%" EQU "1958089" (
	REM PUSHD %~dp0\1958089
	SynReflash_PR2080250.exe /S 2 /B ACL /W 2
  IF %ERRORLEVEL% NEQ 0 GOTO :ERROR %ERRORLEVEL%
  GOTO :SUCCESS
)

@ECHO No FW need to update 

POPD
GOTO :EOF

:ERROR
POPD
COLOR 4F
@ECHO %BOARD_NUMBER%
@ECHO "%PACKRAT_NUMBER%"
@ECHO Error=%1
timeout 5
GOTO :EOF

:SUCCESS
@ECHO Success